FROM alpine:edge AS mirror

RUN mkdir -p /out/etc/apk/ && \
    cp /etc/apk/repositories /out/etc/apk/ && \
    cp -r /etc/apk/keys /out/etc/apk/keys

RUN apk add --no-cache --initdb -p /out \
    ca-certificates \
    curl \
    debootstrap \
    e2fsprogs \
    htop \
    nano \
    tini \
    util-linux


FROM scratch

COPY --from=mirror /out/ /
